<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module models</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>models</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Cbrandon%5Cdesktop%5Ccs%20373%5Ccs373-idb%5Cbackend%5Cmodels.py">c:\users\brandon\desktop\cs 373\cs373-idb\backend\models.py</a></font></td></tr></table>
    <p></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="os.html">os</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial">sqlalchemy.orm.decl_api.Model(<a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="models.html#Company">Company</a>
</font></dt><dt><font face="helvetica, arial"><a href="models.html#Job">Job</a>
</font></dt><dt><font face="helvetica, arial"><a href="models.html#Location">Location</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Company">class <strong>Company</strong></a>(sqlalchemy.orm.decl_api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt>Companies&nbsp;of&nbsp;jobs<br>
Can&nbsp;contain&nbsp;many&nbsp;jobs&nbsp;and&nbsp;one&nbsp;location<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Company">Company</a></dd>
<dd>sqlalchemy.orm.decl_api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Company-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Company-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>formats&nbsp;response&nbsp;as<br>
id<br>
name<br>
description<br>
industry<br>
logo<br>
location<br>
jobs</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>description</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>industry</strong></dt>
</dl>
<dl><dt><strong>jobs</strong></dt>
</dl>
<dl><dt><strong>location</strong></dt>
</dl>
<dl><dt><strong>location_id</strong></dt>
</dl>
<dl><dt><strong>logo</strong></dt>
</dl>
<dl><dt><strong>name</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x2636f0dc1d0; Company&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('company', MetaData(), Column('id', Intege...ey('location.id'), table=&lt;company&gt;), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'company'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:<br>
<dl><dt><strong>__abstract__</strong> = True</dl>

<dl><dt><strong>metadata</strong> = MetaData()</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<dl><dt><strong>registry</strong> = &lt;sqlalchemy.orm.decl_api.registry object&gt;</dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Company-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Job">class <strong>Job</strong></a>(sqlalchemy.orm.decl_api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt>Jobs<br>
Can&nbsp;contain&nbsp;one&nbsp;company&nbsp;and&nbsp;one&nbsp;location<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Job">Job</a></dd>
<dd>sqlalchemy.orm.decl_api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Job-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Job-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>formats&nbsp;response&nbsp;as<br>
id<br>
title<br>
description<br>
category<br>
jobUrl<br>
createdAt<br>
companyName<br>
company<br>
location</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>category</strong></dt>
</dl>
<dl><dt><strong>company</strong></dt>
</dl>
<dl><dt><strong>company_id</strong></dt>
</dl>
<dl><dt><strong>company_name</strong></dt>
</dl>
<dl><dt><strong>created_at</strong></dt>
</dl>
<dl><dt><strong>description</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>job_url</strong></dt>
</dl>
<dl><dt><strong>location</strong></dt>
</dl>
<dl><dt><strong>location_id</strong></dt>
</dl>
<dl><dt><strong>title</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x2636f0dc7f0; Job&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('job', MetaData(), Column('id', Integer(),...ignKey('location.id'), table=&lt;job&gt;), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'job'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:<br>
<dl><dt><strong>__abstract__</strong> = True</dl>

<dl><dt><strong>metadata</strong> = MetaData()</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<dl><dt><strong>registry</strong> = &lt;sqlalchemy.orm.decl_api.registry object&gt;</dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Job-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Location">class <strong>Location</strong></a>(sqlalchemy.orm.decl_api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#Location">Location</a>&nbsp;of&nbsp;jobs<br>
Coordinates&nbsp;used&nbsp;for&nbsp;Google&nbsp;Map<br>
Can&nbsp;contain&nbsp;many&nbsp;jobs&nbsp;and&nbsp;many&nbsp;companies<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Location">Location</a></dd>
<dd>sqlalchemy.orm.decl_api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Location-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Location-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>formats&nbsp;response&nbsp;as:&nbsp;<br>
id<br>
city<br>
state<br>
country<br>
latitude<br>
longitude<br>
temperature<br>
weather<br>
photo<br>
jobs<br>
companies</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>city</strong></dt>
</dl>
<dl><dt><strong>companies</strong></dt>
</dl>
<dl><dt><strong>country</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>jobs</strong></dt>
</dl>
<dl><dt><strong>latitude</strong></dt>
</dl>
<dl><dt><strong>longitude</strong></dt>
</dl>
<dl><dt><strong>photo</strong></dt>
</dl>
<dl><dt><strong>state</strong></dt>
</dl>
<dl><dt><strong>temperature</strong></dt>
</dl>
<dl><dt><strong>weather</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x2636f0a4cc0; Location&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('location', MetaData(), Column('id', Integ...photo', String(), table=&lt;location&gt;), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'location'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.orm.decl_api.Model:<br>
<dl><dt><strong>__abstract__</strong> = True</dl>

<dl><dt><strong>metadata</strong> = MetaData()</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<dl><dt><strong>registry</strong> = &lt;sqlalchemy.orm.decl_api.registry object&gt;</dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Location-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>DBNAME</strong> = 'findjobsdb'<br>
<strong>PASSWORD</strong> = 'Password'<br>
<strong>PUBLIC_IP_ADDRESS</strong> = '34.72.151.166'<br>
<strong>USER</strong> = 'postgres'<br>
<strong>app</strong> = &lt;Flask 'models'&gt;<br>
<strong>db</strong> = &lt;SQLAlchemy engine=postgresql://postgres:***@34.72.151.166/findjobsdb&gt;</td></tr></table>
</body></html>